Subject: Re: [PATCH v2] qede: remove linux/version.h and linux/compiler.h

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Mar 2023 11:45:38 -0700

On Mon, 13 Mar 2023 11:46:57 +0300 Dan Carpenter wrote:
> This is only for networking.
> 
> It affect BPF too, I suppose, but I always tell everyone to just send
> BPF bug reports instead of patches.  I can keep track of linux-next, net
> and net-next.  No one can keep track of all @#$@#$@#$@# 300+ trees.
> 
> I really hate this networking requirement but I try really hard to get
> it right and still mess up half the time.

Don't worry about it too much, there needs to be a level of
understanding for cross-tree folks. This unfortunately may 
not be afforded to less known developers.. because we don't 
know them/that they are working cross-tree.

Reality check for me - this is really something that should
be handled by our process scripts, right? get_maintainer/
/checkpatch ? Or that's not a fair expectation.